Subject: bug#62072: 29.0.60; tree-sitter interferes with Custom

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Mar 2023 14:40:24 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Mar 2023 20:19:29 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why is what?
> 
> I mean, why can't we wrap whatever in Custom is generating the warning
> inside `with-no-warnings' for now?

If you can suggest a patch which affects only the cases where these
options are evaluated as part of a large group, that's fine by me.
The problem is that we _do_ want the warning if the use customizes
specific options that require tree-sitter.  If Customize can
distinguish between those, I'm all for warning in one case, but not in
the other.